import { Component, Input, Output, EventEmitter, ChangeDetectionStrategy } from '@angular/core';
import { RebirthNGConfig } from '../rebirth-ng.config';
var AlertBoxComponent = /** @class */ (function () {
    function AlertBoxComponent(rebirthNGConfig) {
        this.type = 'info';
        this.close = new EventEmitter();
        this.type = rebirthNGConfig.alertBox.type;
        this.closable = rebirthNGConfig.alertBox.closable;
    }
    AlertBoxComponent.prototype.closeBox = function () {
        this.onCloseBox();
    };
    AlertBoxComponent.prototype.onCloseBox = function () {
        this.close.emit(this);
    };
    AlertBoxComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-alert-box',
                    template: "\n    <div class=\"alert alert-{{type}} {{cssClass}}\" [ngClass]=\"{'alert-dismissible': closable}\" role=\"alert\"><button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" *ngIf=\"closable\" (click)=\"closeBox()\"><span aria-hidden=\"true\">&times;</span></button><ng-content></ng-content></div>\n  ",
                    exportAs: 'alertBox',
                    changeDetection: ChangeDetectionStrategy.OnPush
                },] },
    ];
    /** @nocollapse */
    AlertBoxComponent.ctorParameters = function () { return [
        { type: RebirthNGConfig, },
    ]; };
    AlertBoxComponent.propDecorators = {
        'type': [{ type: Input },],
        'cssClass': [{ type: Input },],
        'closable': [{ type: Input },],
        'close': [{ type: Output },],
    };
    return AlertBoxComponent;
}());
export { AlertBoxComponent };
//# sourceMappingURL=alert-box.component.js.map