import { ElementRef, Renderer2, TemplateRef, ChangeDetectorRef } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
export declare class TooltipPopup {
    protected elementRef: ElementRef;
    protected renderer: Renderer2;
    protected changeDetectorRef: ChangeDetectorRef;
    static ACTIVE_CLASS: string;
    placement: 'top' | 'top-left' | 'top-right' | 'bottom' | 'bottom-left' | 'bottom-right' | 'left' | 'right';
    content: string | TemplateRef<any>;
    context: any;
    cssClass: string;
    isOpen: boolean;
    animateState: string;
    constructor(elementRef: ElementRef, renderer: Renderer2, changeDetectorRef: ChangeDetectorRef);
    onHostClick($event: Event): void;
    show(): void;
    hide(): void;
    afterVisibilityAnimation(e: AnimationEvent): void;
    isTemplateRef(obj: any): ElementRef;
}
