import { EventEmitter, TemplateRef } from '@angular/core';
import { RebirthNGConfig } from '../rebirth-ng.config';
import { Observable } from 'rxjs/Observable';
import { TreeViewService } from './tree-view.service';
export declare class TreeViewComponent {
    private treeViewService;
    treeData: any[];
    valueField: any;
    textField: any;
    cssClass: string;
    nodeCssClass: string;
    iconField: string;
    checkable: boolean;
    lazyLoad: boolean;
    loadingIcon: string;
    loadChildren: (parent: any) => Observable<any[]>;
    allowDraggable: boolean;
    allowMutipleSelected: boolean;
    nodeItemTemplate: TemplateRef<any>;
    nodeItemToolbarTemplate: TemplateRef<any>;
    leafIcon: any;
    expendIcon: any;
    collapseIcon: any;
    nodeItemClicked: EventEmitter<any>;
    nodeItemDroped: EventEmitter<any>;
    nodeItemDbClicked: EventEmitter<any>;
    nodeItemCheckedChanged: EventEmitter<any>;
    nodeItemExpended: EventEmitter<any>;
    private selectNode;
    constructor(rebirthNGConfig: RebirthNGConfig, treeViewService: TreeViewService);
    onNodeItemExpended(node: any): void;
    onNodeItemClicked(node: any): void;
    onNodeItemDbClicked(node: any): void;
    onNodeItemCheckedChanged(node: any): void;
    onNodeItemDroped($event: any): void;
    getSelectNodes(): any[];
    getCheckedNodes(): any[];
    getMatchedItems(match: (node: any) => boolean): any[];
    getFirstMatchedItem(match: (node: any) => boolean): any;
    getTreeNodeByValue(value: any): any;
    expendAllNodes(): void;
    collapseAllNodes(): void;
    expendNodesByLevel(level: number): void;
    expendNodesByValue(value: any): void;
    getNodePathByValue(value: any): any;
    checkAllNodes(): void;
    unCheckAllNodes(): void;
    appendNodes(parentId: any, nodes: any[]): any;
    removeNode(value: any): any;
}
