export function centerWindowPosition(elementRef, windowRef) {
    if (!elementRef.nativeElement || !elementRef.nativeElement.getBoundingClientRect) {
        return {};
    }
    var rect = elementRef.nativeElement.getBoundingClientRect();
    var elmHeight = rect.height;
    var elmWidth = rect.width;
    var winHeight = windowRef.innerHeight;
    var winWidth = windowRef.innerWidth;
    return {
        left: (winWidth - elmWidth) / 2,
        top: (winHeight - elmHeight) / 2
    };
}
export function stopPropagationIfExist($event) {
    if ($event) {
        $event.stopPropagation();
    }
}
export function readFileAsDataURL(file) {
    return new Promise(function (resolve) {
        if (/\.(jpe?g|png|gif)$/i.test(file.name)) {
            var reader = new FileReader();
            reader.addEventListener('load', function () {
                resolve(this.result);
            }, false);
            return reader.readAsDataURL(file);
        }
        resolve(null);
    });
}
export function getScrollBarWidth(renderer, documentRef) {
    var outer = renderer.createElement('div');
    renderer.setStyle(outer, 'visibility', 'hidden');
    renderer.setStyle(outer, 'width', '100px');
    renderer.setStyle(outer, 'msOverflowStyle', 'scrollbar');
    var body = documentRef.body;
    renderer.appendChild(body, outer);
    var widthNoScroll = outer.offsetWidth;
    renderer.setStyle(outer, 'overflow', 'scroll');
    var inner = renderer.createElement('div');
    renderer.setStyle(inner, 'width', '100%');
    renderer.appendChild(outer, inner);
    var widthWithScroll = inner.offsetWidth;
    renderer.removeChild(body, outer);
    return widthNoScroll - widthWithScroll;
}
//# sourceMappingURL=dom-utils.js.map